<?php
try {
    /* Konfiguracja serwera MySQL */
    $db_server = 'localhost';
    $db_name   = 'db_php8';
    $db_user   = 'db_php8';
    $db_passwd = 'WETFD8toJyKLWtXC'; // u Ciebie będzie z pewnością inne :)

    // otwórz połączenie z bazą danych MYSQL
    $db_pdo = new PDO(
        "mysql:host=$db_server;dbname=$db_name",
        $db_user, 
        $db_passwd,
        [PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"]
    );
    
    // włącz obsługę wyjątków dla obsługi interfejsu PDO
    $db_pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    print "Zawartość bazy danych MySQL:".PHP_EOL;

    print PHP_EOL;
    print "KSIĄŻKI".PHP_EOL;
    print "ID\tAUTOR\t\tTYTUŁ\t\t\tROK\tSTRON".PHP_EOL;

    $wynik = $db_pdo->query("SELECT * FROM ksiazki ORDER BY id ASC;");
    while ($wiersz = $wynik->fetch()) {
        printf(
            "%d\t%s\t%s\t%d\t%d".PHP_EOL, 
            $wiersz['id'], $wiersz['autor'], $wiersz['tytul'],
            $wiersz['rok'], $wiersz['stron']
        );
    }

    print PHP_EOL;
    print "OSOBY".PHP_EOL;
    print "ID\tIMIĘ\tNAZWISKO".PHP_EOL;

    $wynik = $db_pdo->query("SELECT * FROM osoby ORDER BY id ASC;");
    while ($wiersz = $wynik->fetch()) {
        printf(
            "%d\t%s\t%s".PHP_EOL, 
            $wiersz['id'], $wiersz['imie'], $wiersz['nazwisko']
        );
    } 

    print PHP_EOL;
    print "WYPOŻYCZENIA".PHP_EOL;
    print "ID\tDATA\t\tID KSIĄŻKI\tID OSOBY".PHP_EOL;

    $wynik = $db_pdo->query("SELECT * FROM wypozyczenia ORDER BY id ASC;");
    while ($wiersz = $wynik->fetch()) {
        printf(
            "%d\t%s\t%s\t\t%s".PHP_EOL,
            $wiersz['id'], $wiersz['data'],
            $wiersz['ksiazka'], $wiersz['osoba']
        );
    }

    $db_pdo = null; // zamknij połączenie z bazą

} catch (PDOException $e) {
    print "Błąd!: " . $e->getMessage();
    die();
}